var RestApi = require("../lib/RestApi");

// Creating api server.
var app = RestApi.createServer();
app.listen(8080);

// Setting whois route.
var whois = app.route("^/whois/?$");

// Setting GET event for whois route.
whois.on("GET", function(app, callback){
    console.log("whois.on.GET");

    var net = require("net");
    var receivedData = "";
    var client = net.connect(43, "whois.internic.net", function(){
        console.log("connected whois server.");
        client.write(app.req.get.domain + "\r\n");
    });

    client.on("data", function(data){
        receivedData += data;
        console.log("received data from whois server.");
        client.end();
    });

    client.on("end", function(){
        console.log("disconnected whois server.");
        app.setResponse(200, receivedData);
        callback(null);
    });
});

// http://localhost:8080/whois?domain=google.com